%global         pypi_name      curses-menu
%global         egg_name       curses_menu

Name:           python-curses-menu
Version:        0.5.0
Release:        %mkrel 4
Summary:        A simple Python menu-based GUI system using curses
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/curses-menu
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don't want the
overhead or learning curve of a full-fledged GUI framework. However,
it's also flexible enough to do cool stuff like on-the-fly changing of
menus and is extensible to a large variety of uses.

%package -n python3-curses-menu
Summary:        Python3 implementation of curses-menu
Group:          Development/Python
%{?python_provide:%python_provide python3-curses-menu}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-pytest-runner
BuildRequires:  pkgconfig(ncurses)
Provides:       %{pypi_name} = %{version}-%{release}
Provides:       %{egg_name} = %{version}-%{release}

%description -n python3-curses-menu
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don't want the
overhead or learning curve of a full-fledged GUI framework. However,
it's also flexible enough to do cool stuff like on-the-fly changing of
menus and is extensible to a large variety of uses.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{egg_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-curses-menu
%doc README.rst LICENSE.md CHANGELOG.rst
%{python3_sitelib}/%{egg_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/cursesmenu/



%changelog
* Sun Mar 27 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1828916
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.5.0-3.mga9
+ Revision: 1785485
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-2.mga9
+ Revision: 1732848
- Rebuild for python 3.9

* Fri Jul 24 2020 eatdirt <eatdirt> 0.5.0-1.mga8
+ Revision: 1608672
- imported package python-curses-menu

